"""metanav -- NavigationRootFolder"""

__author__  = 'Brian Gershon <briang@webcollective.coop>'
__docformat__ = 'plaintext'

try:
    from Products.LinguaPlone.public import *
except ImportError:
    from Products.Archetypes.public import *

## General
from DateTime import DateTime

## Zope
from zope.interface import implements

## CMF
from Products.CMFCore.permissions import ModifyPortalContent

## ATCT + Friends
from Products.ATContentTypes.content.folder import ATFolderSchema, ATFolder
from Products.ATContentTypes.content.base import registerATCT
from Products.ATContentTypes.content.schemata import finalizeATCTSchema

##Archetypes
from Products.Archetypes import atapi

## Product
from Products.metanav.interfaces import INavigationRootFolder
from Products.metanav.config import PROJECTNAME

NavigationRootFolderSchema = ATFolderSchema.copy() + atapi.Schema((

))

finalizeATCTSchema(NavigationRootFolderSchema)

class NavigationRootFolder(ATFolder):
    """A Navigation Root Folder"""
    implements(INavigationRootFolder)
    __implements__ = (getattr(ATFolder,'__implements__',()),)
    
    schema         =  NavigationRootFolderSchema
    
    _at_rename_after_creation = True

    suppl_views = ()
    
    typeDescription= """A Navigation Folder"""

registerATCT(NavigationRootFolder, PROJECTNAME)
